---
title: Search
slug: serpwow/search-api/searches/bing/search
docTags: 
createdAt: 2024-08-05T14:13:33.938Z
---

# Bing Search Parameters

<font color="#52c41a">`GET`</font>  `/search?engine=bing`

The Bing Search Parameters are applicable when making a request with  `engine=bing`  to retrieve Bing search results for a given search term. The search term is specified in the  `q`  parameter.

:::hint{type="info"}
**Setting Location for Bing requests**
The recommended way of setting the location of your Bing request is to use the  `location`  parameter. The  `location`  parameter can be populated with a  `full_name`  value returned by the [Locations API](https://docs.trajectdata.com/serpwow/locations-api/overview).

You may also use either the  `market_code`  or  `country_code`  parameters to set the location of your request, but the recommended approach is to use the  `location`  parameter as this sets all the required prerequisites to achieve a correctly geo-located result.

**Including Location Information in Search Term**

Bing's Web Search API documentation advises location information to be included directly withihn the search query to improve result relevance. While the API offers parameters like `mkt` (market) and `cc` (country code) to influence regional results, these may not always yield precise local outcomes.&#x20;

Embedding specific location details in the query itself—such as city names or postal codes—can help Bing better understand the user's intent and deliver more accurate results.
:::

![](https://apiimages.imgix.net/serpwow/images/png/docs/bing_search.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Bing Search Results")

For example, to request Bing search results for the keyword  `pizza` , in the location  `United States` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/live/search?api_key=demo&engine=bing&q=pizza+United+States
```

```curl
curl -L --get https://api.serpwow.com/live/search \
-d api_key="demo" \
-d engine="bing" \
-d location="United States" \
-d q="pizza"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  engine: "bing",
  location: "United States",
  q: "pizza"
}

// make the http GET request
axios.get('https://api.serpwow.com/live/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'engine': 'bing',
  'location': 'United States',
  'q': 'pizza'
}

# make the http GET request
api_result = requests.get('https://api.serpwow.com/live/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'engine' => 'bing',
  'location' => 'United States',
  'q' => 'pizza'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/live/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Bing Search Parameters

The following parameters are available for all search requests made when  `engine=bing` .

| *`Parameter`*          | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| ---------------------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`engine`*             | <u>*`required`*</u> | Should be set to `engine=bing` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`q`*                  | <u>*`required`*</u> | The keyword you want to use to perform the search.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| *`location`*           | *`optional`*        | Determines the geographic location in which the query is executed. You must enter a `full_name` value from the SerpWow [Locations API ](https://docs.trajectdata.com/serpwow/locations-api/overview), for example `location=Richmond+County,New+York,United+States` (where `Richmond+County,New+York,United+States` is the `full_name` as-returned by the [Locations API ](https://docs.trajectdata.com/serpwow/locations-api/overview)).  <br />**Note** the `location` parameter is the recommended way of setting the location of your Bing request. |
| *`market_code`*        | *`optional`*        | The `market_code` parameter determines the Bing-defined market to show results from. This is typically the country in which the user is making requests.  <br />View the full list of supported Bing `market_code` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/bing-market-codes).  <br />**Note** the `market_code` parameter cannot be used in combination with the `country_code` parameter.                                                                                                                            |
| *`country_code`*       | *`optional`*        | The `country_code` parameter determines the country to show results from (if `market_code` is not specified).  <br />View the full list of supported Bing `country_code` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/bing-country-codes).  <br />**Note** it is recommended that the `market_code` parameter be used instead of `country_code` . The `country_code` parameter cannot be used in combination with the `market_code` parameter.                                                                              |
| *`bing_language`*      | *`optional`*        | The `bing_language` parameter determines the Bing UI language to return results. View the full list of supported `bing_language` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/bing-languages). Defaults to `en` .                                                                                                                                                                                                                                                                                                           |
| *`page`*               | *`optional`*        | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| *`max_page`*           | *`optional`*        | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/serpwow/search-api/pagination)docs for more information.                                                                                                                                                                                                                                                       |
| *`include_answer_box`* | *`optional`*        | Determines whether to include the answer box (sometimes called the "featured snippet") in the `organic_results` array and treat it as the first result. This may be desirable if you treat the result Bing displayed in the `answer_box` as the first organic result.                                                                                                                                                                                                                                                                                   |
| *`safe`*               | *`optional`*        | Determines whether `Safe Search` is enabled for the results. Can be set to `strict` to enable Safe Search, `moderate` for just images and videos or `off` to disable Safe Search.                                                                                                                                                                                                                                                                                                                                                                       |

***

**Next Steps**
     [Bing Search Results](https://docs.trajectdata.com/serpwow/search-api/results/bing/search)
